# Uses of Class
javax.sound.sampled.EnumControl.Type

Packages that use EnumControl.Type
Package
Description
javax.sound.sampled
Provides interfaces and classes for capture, processing, and playback of sampled audio data.

## Uses of EnumControl.Type in javax.sound.sampled

Fields in javax.sound.sampled declared as EnumControl.Type
Modifier and Type
Field
Description
`static final EnumControl.Type`
EnumControl.Type.`REVERB`
Represents a control over a set of possible reverberation settings.
Constructors in javax.sound.sampled with parameters of type EnumControl.Type
Modifier
Constructor
Description
`protected`
`EnumControl(EnumControl.Type type, Object[] values, Object value)`
Constructs a new enumerated control object with the given parameters.